Freeciv-3.1: ai_plr Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
ai_plr Struct Reference

`#include <aidata.h>`

## Data Fields

bool | phase_initialized
int | last_num_continents
int | last_num_oceans
struct { |
int passengers |
int boats |
int available_boats |
int * workers |
int * ocean_workers |
bv_id diplomat_reservations |
} | stats |
struct { |
const struct ai_dip_intel ** player_intel_slots |
enum winning_strategy strategy |
int timer |
char love_coeff |
char love_incr |
int req_love_for_peace |
int req_love_for_alliance |
} | diplomacy |
struct ai_settler * | settler
adv_want | tech_want [A_LAST+1]

## Detailed Description

Definition at line 70 of file aidata.h.

## Field Documentation

## ◆ available_boats

int ai_plr::available_boats

Definition at line 80 of file aidata.h.

Referenced by domestic_advisor_choose_build(), and kill_something_with().

## ◆ boats

int ai_plr::boats

Definition at line 79 of file aidata.h.

Referenced by domestic_advisor_choose_build(), and kill_something_with().

## ◆ [struct]

struct { ... } ai_plr::diplomacy

Referenced by dai_data_close(), dai_data_init(), dai_diplomacy_begin_new_phase(), dai_diplomacy_destroy(), dai_diplomacy_get(), dai_diplomacy_new(), dai_goldequiv_clause(), dai_treaty_accepted(), and dai_war_desire().

## ◆ diplomat_reservations

bv_id ai_plr::diplomat_reservations

Definition at line 85 of file aidata.h.

Referenced by dai_choose_diplomat_offensive(), and dai_data_phase_begin().

## ◆ last_num_continents

int ai_plr::last_num_continents

Definition at line 74 of file aidata.h.

Referenced by dai_data_init(), dai_data_phase_begin(), and dai_plr_data_get().

## ◆ last_num_oceans

int ai_plr::last_num_oceans

Definition at line 75 of file aidata.h.

Referenced by dai_data_init(), dai_data_phase_begin(), and dai_plr_data_get().

## ◆ love_coeff

char ai_plr::love_coeff

Definition at line 93 of file aidata.h.

Referenced by dai_data_init(), and dai_diplomacy_begin_new_phase().

## ◆ love_incr

char ai_plr::love_incr

Definition at line 94 of file aidata.h.

Referenced by dai_data_init(), dai_diplomacy_begin_new_phase(), and dai_treaty_accepted().

## ◆ ocean_workers

int* ai_plr::ocean_workers

Definition at line 83 of file aidata.h.

Referenced by contemplate_terrain_improvements(), dai_data_phase_begin(), and dai_data_phase_finished().

## ◆ passengers

int ai_plr::passengers

Definition at line 78 of file aidata.h.

## ◆ phase_initialized

bool ai_plr::phase_initialized

Definition at line 72 of file aidata.h.

Referenced by dai_data_init(), dai_data_phase_begin(), dai_data_phase_finished(), dai_plr_data_get(), and is_ai_data_phase_open().

## ◆ player_intel_slots

const struct ai_dip_intel** ai_plr::player_intel_slots

Definition at line 90 of file aidata.h.

Referenced by dai_data_close(), dai_data_init(), dai_diplomacy_destroy(), dai_diplomacy_get(), and dai_diplomacy_new().

## ◆ req_love_for_alliance

int ai_plr::req_love_for_alliance

Definition at line 96 of file aidata.h.

Referenced by dai_data_init(), and dai_goldequiv_clause().

## ◆ req_love_for_peace

int ai_plr::req_love_for_peace

Definition at line 95 of file aidata.h.

Referenced by dai_data_init(), and dai_goldequiv_clause().

## ◆ settler

struct ai_settler* ai_plr::settler

Definition at line 100 of file aidata.h.

Referenced by dai_auto_settler_free(), dai_auto_settler_init(), dai_auto_settler_reset(), dai_data_init(), tdc_plr_get(), and tdc_plr_set().

## ◆ [struct]

struct { ... } ai_plr::stats

Referenced by contemplate_terrain_improvements(), dai_choose_diplomat_offensive(), dai_data_phase_begin(), dai_data_phase_finished(), domestic_advisor_choose_build(), kill_something_with(), and texai_city_worker_wants().

## ◆ strategy

enum winning_strategy ai_plr::strategy

Definition at line 91 of file aidata.h.

Referenced by dai_data_init(), dai_diplomacy_begin_new_phase(), and dai_war_desire().

## ◆ tech_want

adv_want ai_plr::tech_want[A_LAST+1]

Definition at line 103 of file aidata.h.

Referenced by dai_choose_diplomat_defensive(), dai_choose_paratrooper(), dai_clear_tech_wants(), dai_goldequiv_tech(), dai_manage_government(), dai_player_copy(), dai_process_defender_want(), dai_select_tech(), dai_tech_effect_values(), dai_wants_defender_against(), dai_wants_role_unit(), find_best_city_placement(), process_attacker_want(), real_tech_log(), and want_tech_for_improvement_effect().

## ◆ timer

int ai_plr::timer

Definition at line 92 of file aidata.h.

Referenced by dai_data_init().

## ◆ workers

int* ai_plr::workers

Definition at line 82 of file aidata.h.

Referenced by contemplate_terrain_improvements(), dai_data_phase_begin(), dai_data_phase_finished(), and texai_city_worker_wants().